APIPersonal data
Set a visited country
PUT
bearerAuth visited_countries.writeheader
AuthorizationBearer <API key or OAuth 2.1 access token>Send Authorization: Bearer <credential>. Create API keys in AirTrail Security settings. OAuth clients use authorization code with PKCE S256 and a resource identifier matching /api/v1.
Scope: visited_countries.write
application/json- body
code*stringLength
2 <= length <= 2status*stringValue in
"lived""visited""layover""wishlist"note?|Length
length <= 1000Saved country.
application/json- response
data*curl -X PUT 'https://your-instance.example/api/v1/visited-countries' \ -H 'Content-Type: application/json' \ -d '{ "code": "st", "status": "lived"}'Example Response
{ "data": { "id": 0, "code": "st", "status": "lived", "note": "string" }}